package mysql

import "gorm.io/gorm"

// MessageSendLog undefined
type MessageSendLog struct {
	ID           int64  `json:"id" gorm:"id"`
	MsgType      int8   `json:"msg_type" gorm:"msg_type"`             // 0-unknow 1-sms 2-email
	ToPhoneEmail string `json:"to_phone_email" gorm:"to_phone_email"` // user''s phone or email
	MsgContent   string `json:"msg_content" gorm:"msg_content"`       // message content
	ResultMsg    string `json:"result_msg" gorm:"result_msg"`         // result message
	CreatedAt    int64  `json:"created_at" gorm:"created_at"`         // create time
}

// TableName 表名称
func (m *MessageSendLog) TableName() string {
	return "message_send_log"
}

func (m *MessageSendLog) DB() *gorm.DB {
	return getDB()
}

func (m *MessageSendLog) BatchCreate(data []map[string]interface{}) (int64, error) {
	tx := m.DB().Table("message_send_log").CreateInBatches(data, len(data))
	return tx.RowsAffected, tx.Error
}
